<?
function ppath($id){
   global $db;

  $path="";
  
  if ($id){
		$sql = "select * from produtoCategoria where id=$id";
		$lista =  $db->get( $sql );
		
		if($lista[0]['idPai']) 
		$path .=ppath($lista[0]['idPai']) ." - " . $lista[0]['categoria'] ;
		else
		$path .=$lista[0]['categoria'];
	} 
	return $path;
}


?>